package com.gic.haoban.manage.web.log;

import com.gic.haoban.base.api.common.pojo.dto.WebLoginDTO;
import com.gic.haoban.common.utils.AuthWebRequestUtil;
import com.gic.log.record.bean.GicLogRecordUser;
import com.gic.log.record.service.LogRecordUserService;
import org.springframework.stereotype.Service;

/**
 * 描述: LogRecordUserServiceImpl
 *
 * @author yujie
 * @date 2022/1/22 15:17
 */
@Service
public class LogRecordUserServiceImpl extends LogRecordUserService {

    @Override
    public boolean isDefault() { //是否默认的用户获取类，如果设置了默认的 注解里的  userFunc的默认值就会变成这个获取用户信息
        return true;
    }

    @Override
    public GicLogRecordUser getUser() {
        WebLoginDTO loginUser = AuthWebRequestUtil.getLoginUser();
        return new GicLogRecordUser(loginUser.getClerkId(), loginUser.getClerkFullName(), loginUser.getClerkPhone(),
                loginUser.getWxEnterpriseId(), loginUser.getEnterpriseId(), loginUser.getOperationUserName());
    }

}
